Asset controlMap
Map a control to an asset.
Authorization
Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
controlId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidassetId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidorganizationId*string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.devguard.ch/api/asset-control/map/" \ -H "Content-Type: application/json" \ -d '{ "controlId": "197efa3f-43a6-4dbf-b001-4d97174cd7af", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "organizationId": "string" }'null{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}How is this guide?